+++
disableToc = false
hidden = true
title = "Version 6.0"
type = "releasenotes"
weight = -0
+++

## 6.0.0 (2024-04-27) {#6-0-0}

### Breaking

- {{% badge style="warning" title=" " %}}Breaking{{% /badge %}} This release requires you to move your self-defined variant (`theme-*.css`) and chroma stylesheets (`chroma-*.css`) from `static/css` to `assets/css`.

  This was necessary to avoid permission errors on build if running in certain Unix configurations.

  In addition it is not allowed anymore to `@import` your chroma stylesheet from inside of your variant stylesheet.

  Say, your chroma stylesheet is named `chroma-monokai.css`, you have to add the following inside your variant stylesheet:

	````css
	--CODE-theme: monokai;
	````

- {{% badge style="warning" title=" " %}}Breaking{{% /badge %}} The parameter `description` in your `hugo.toml` will now be ignored.

  With the newly introduced unified handling of descriptions throughout the theme, the only place the old parameter would have been used was your home page.

  For migration, move the `description` parameter of your `hugo.toml` into the front matter section of your home page.

- {{% badge style="warning" title=" " %}}Breaking{{% /badge %}} Search support for the `json` outputformat [deprecated in 5.4.0](introduction/releasenotes/5#5-4-0) was removed.

  Change it to `search` for the homepage in your `hugo.toml`. See the docs for [detailed configuration](configuration/sidebar/search).

- {{% badge style="warning" title=" " %}}Breaking{{% /badge %}} The front matter option `menuTitle` [deprecated in 5.24.0](introduction/releasenotes/5#5-24-0) was removed in favor for Hugo's own `linkTitle`.

  Additionally, if set, `linkTitle` will now be used instead of `title` to generate the breadcrumb.

- {{% badge style="warning" title=" " %}}Breaking{{% /badge %}} The `swagger` shortcode [deprecated in 5.13.0](introduction/releasenotes/5#5-13-0) was removed in favor for the  [`openapi` shortcode](shortcodes/openapi) with the same set of parameter.

- {{% badge style="warning" title=" " %}}Breaking{{% /badge %}} Support for Internet Explorer 11 was finally dropped.

### Change

- {{% badge style="note" title=" " %}}Change{{% /badge %}} With the removal of support for Internet Explorer 11, Font Awesome was upgraded to version 6.5.2.

  You may experience slight changes for some icons. In addition you have additional ~1700 icons [to chose](https://fontawesome.com/v6/search?m=free) from.

- {{% badge style="note" title=" " %}}Change{{% /badge %}} The [`children` shortcode](shortcodes/children) was fixed to adhere to its documentation, generating the description based on this rule: When no description or summary exists for the page, the first 70 words of the content is taken.

  Previously, the summary erroneously was ignored which now can lead to different output if you set `description=true` as a parameter.

### New

- {{% badge style="info" icon="plus-circle" title=" " %}}New{{% /badge %}} The [`include` shortcode](shortcodes/include) is now able to resolve links to resources as well as to files in the file system (the old behavior). You can configure to generate warnings or errors during build by setting `include.errorlevel` to either `warning` or `error` in your `hugo.toml` if a path can not be resolved.

- {{% badge style="info" icon="plus-circle" title=" " %}}New{{% /badge %}} Math is now usable without enclosing it in a shortcode or Markdown codefence by using Hugo's [passthrough configuration](shortcodes/math#passthrough-configuration).

- {{% badge style="info" icon="plus-circle" title=" " %}}New{{% /badge %}} Translation into Romanian.
